View Issue Details

IDProjectCategoryView StatusLast Update
0001431Far ManagerViewerpublic2011-03-09 21:53
Reporterigor_yudincevAssigned ToDrKnS 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86OSWindowsOS VersionXP SP2
Product Version2.0 
Target VersionFixed in Version3.0 
Summary0001431: 100% загрузка процессора при пролистывании файла
DescriptionВ b1583 появились тормоза при листании файлов во вьювере + грузится процессор. Хорошо заметно при просмотре экзешников и т.п.
TagsNo tags attached.
Build1904

Activities

alexy

2010-07-10 20:39

administrator   bugnote:0005576

Нифига не понятно.

igor_yudincev

2010-07-10 22:18

reporter   bugnote:0005578

открываем во вьювере двоичный файл, зажимаем PgDn — наблюдаем 100% загрузку процессора.

alexy

2010-07-10 23:19

administrator   bugnote:0005579

нету такого, учи по человечески как повторить.

alexy

2010-07-10 23:23

administrator   bugnote:0005580

Хотя, да, если файл достаточно большой (Far.exe) и жать pgdn без перерыва то есть такое.

DaTa

2011-02-14 14:01

reporter   bugnote:0006453

Скорее всего баг кроется в юникодовой составляющей Viewer'а. Так как в Far 1.75(не юникод)такой проблемы нету.

igor_yudincev

2011-02-14 16:56

reporter   bugnote:0006454

DaTa, проблемы нет и в FAR 2.0 b1582.

DaTa

2011-02-15 13:27

reporter   bugnote:0006456

Last edited: 2011-02-15 13:35

View 3 revisions

Странно, у меня билд 3-х недельной давности фар 2.0 х64 и там проблема есть, здесь скачал новый билд и проблема не воспроизводится. Спасибо, пороюсь еще в настройках дома.

UPD
Дело в том что если ФАР 2.0 разтянут почти на весь екран( у меня это 120х52) то нагрузка остается, в ФАР 1.75 такого не наблюдается. Проблемы с рисованием символов при достаточно большом буфере?

DrKnS

2011-03-09 13:12

administrator   bugnote:0006506

1904.

Issue History

Date Modified Username Field Change
2010-07-08 23:05 igor_yudincev New Issue
2010-07-10 20:39 alexy Note Added: 0005576
2010-07-10 22:18 igor_yudincev Note Added: 0005578
2010-07-10 23:19 alexy Note Added: 0005579
2010-07-10 23:23 alexy Note Added: 0005580
2010-07-10 23:26 alexy Assigned To => DrKnS
2010-07-10 23:26 alexy Status new => assigned
2011-02-14 14:01 DaTa Note Added: 0006453
2011-02-14 16:56 igor_yudincev Note Added: 0006454
2011-02-15 13:27 DaTa Note Added: 0006456
2011-02-15 13:32 DaTa Note Edited: 0006456 View Revisions
2011-02-15 13:35 DaTa Note Edited: 0006456 View Revisions
2011-03-09 13:12 DrKnS Note Added: 0006506
2011-03-09 13:12 DrKnS Status assigned => feedback
2011-03-09 21:44 igor_yudincev Status feedback => resolved
2011-03-09 21:53 DrKnS Build => 1904
2011-03-09 21:53 DrKnS Status resolved => closed
2011-03-09 21:53 DrKnS Resolution open => fixed
2011-03-09 21:53 DrKnS Fixed in Version => 3.0